# Class JMEUtil.JSME_RunAsyncCallback

java.lang.Object
jme.JMEUtil.JSME_RunAsyncCallback

All Implemented Interfaces:
  `JMEUtil.RunAsyncCallback`

Enclosing class:
  `JMEUtil`

public abstract static class JMEUtil.JSME_RunAsyncCallback extends Object implements JMEUtil.RunAsyncCallback

## Constructor Summary

Constructors
Constructor
Description
`JSME_RunAsyncCallback()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onFailure(Throwable reason)`
Called when, for some reason, the necessary code cannot be loaded.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface JMEUtil.RunAsyncCallback

`onSuccess`

## Constructor Details

### JSME_RunAsyncCallback

public JSME_RunAsyncCallback()

## Method Details

### onFailure

public void onFailure(Throwable reason)
Description copied from interface: `JMEUtil.RunAsyncCallback`
Called when, for some reason, the necessary code cannot be loaded. For example, the web browser might no longer have network access.

Specified by:
  `onFailure` in interface `JMEUtil.RunAsyncCallback`